Skip navigation
Currently Being Moderated

Adobe® Flash® Player 10.3 Installer

Sep 23, 2011 3:04 AM

Tags: #flash #install #apple

Okay, I have an older laptop:  an iBook G4.  I also have OS X 10.4.11.  I've been trying to install the latest version of Adobe® Flash® Player but keep receiving the following message:

 

Adobe® Flash® Player cannot be installed.

 

Devices with PowerPC processors are no longer supported.  Click below to download the last version of Flash Player for PowerPC.

 

Get Flash Player for PowerPC

 

The last line in the message is a link for a download, which works, but when I click on it and then attemp the download, I get the same exact message as above.  This is a vicious cycle that I simply cannot break!  Finally, I understand why I haven't been able to watch some specific video downloads!  (They just won't run.)  But, I don't have a PowerPC; I have a Mac.  So, what's the problem?

 

Is this a hopeless cause for me until my at-home wifi is functioning again and I can use my new iPad?  It's just that I used to be able to watch movies on my laptop and now I can't even watch a t.v. show.

 

Please!  I'd be grateful of any help anyone might be able to offer!  Thank you!


 
Replies
  • Currently Being Moderated
    Sep 23, 2011 4:32 AM   in reply to Lady Shahrizai

    Flashplayer 10.2 and above no longer support Power PC.  Get the latest 10.1 Flashplayer from here

    http://kb2.adobe.com/cps/142/tn_14266.html

     
    |
    Mark as:
  • Chris Campbell
    9,456 posts
    May 4, 2010
    Currently Being Moderated
    Sep 23, 2011 3:08 PM   in reply to Carl E. Myers Jr.

    Just to follow up with what Carl said, I also put together this post that walks you through the process of downloading and installing the older Flash Player from the Archive page.

     

    What version of Flash Player should I use with my Power PC based Mac?

     

    Chris

     
    |
    Mark as:
  • Currently Being Moderated
    Dec 19, 2011 5:12 PM   in reply to Chris Campbell

    Help! Is anyone else unable to install an older version of Flash on their less-then brand new computer(PowerMacG4)?? I'm running 10.5.8. I've downloaded the Uninstaller(which has a pink x in the upper-right corner) but two versions of Flash remain on my computer. When I try to install the version of Flash which adobe has recommended I get this message:

             Adobe®Flash®Player cannot be installed.

             Devices with PowerPC processsors are no longer

             supported. Click below to download the last version

             Flash Player for PowerPC.

             Get Flash Player for PowerPC

    I then click underlined “Get Flash…” which takes me to the same page which asks for the operating system I have and the version I need, I type in what they offer and go through the same thing again!!!

     
    |
    Mark as:
  • Currently Being Moderated
    Dec 19, 2011 5:38 PM   in reply to Naomi Rovin
     
    |
    Mark as:

More Like This

  • Retrieving data ...

Bookmarked By (0)

Answers + Points = Status

  • 10 points awarded for Correct Answers
  • 5 points awarded for Helpful Answers
  • 10,000+ points
  • 1,001-10,000 points
  • 501-1,000 points
  • 5-500 points